Package com.tietoenator.trip.jxp.facet

# Class TdbFacetSet

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.facet.TdbFacetSet

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbFacetSet extends TdbMessageProvider implements com.tietoenator.trip.jxp.internal.utils.DOMSink
Supports retrieval of one or more facets based on a database, a cluster of databases or a search set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbFacetSet(TdbSession session)`
  Create a new facet set

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(TdbFacet f)`
  Add a facet to this facet set.
  `void`
  `clear(boolean remove)`
  Clears accumulated state from this object.
  `void`
  `close()`
  Closes this facet set by releasing server-side resources and removes the the accumulated state from the object.
  `void`
  `get()`
  Retrieve the values for the facets in this facet set.
  `TdbFacet`
  `getFacet(int index)`
  Retrieve one of the facets associated with this facet set.
  `int`
  `getFacetCount()`
  Number of facets associated with this facet set.
  `void`
  `removeBaselines()`
  Removes all previously registered baseline data in the session.

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbFacetSet

    public TdbFacetSet(TdbSession session) throws TdbException
    Create a new facet set
    Parameters:
      `session` - Active physical TRIP session
    Throws:
      `TdbException` - If the session is not valid for use with facet sets.

- ## Method Details

  - ### add

    public void add(TdbFacet f)
    Add a facet to this facet set.
    Parameters:
      `f` - Facet to add

  - ### getFacetCount

    public int getFacetCount()
    Number of facets associated with this facet set.

  - ### getFacet

    public TdbFacet getFacet(int index)
    Retrieve one of the facets associated with this facet set.
    Parameters:
      `index` - Zero-based index
    Returns:
      A TdbFacet object

  - ### close

    public void close()
    Closes this facet set by releasing server-side resources and removes the the accumulated state from the object.

  - ### clear

    public void clear(boolean remove)
    Clears accumulated state from this object.
    Parameters:
      `remove` - If false, accumulated state is cleared from the associated facets, if true, close() is in addition called on all facets associated with this object and they are removed from this set along with any database and search set specifications.

  - ### removeBaselines

    public void removeBaselines() throws TdbException
    Removes all previously registered baseline data in the session.
    Throws:
      `TdbException`

  - ### get

    public void get() throws TdbException
    Retrieve the values for the facets in this facet set.

    Certain facet types, especially those based on term lists, may not actually return any values in this operation, but instead employ an on-demand loading of values so that very large amount of facet values can be handled. This is the case if the number of values for a facet exceed 100, or if baselines are used with the facets.

    Throws:
      `TdbException` - If the retrieval failed.